Program Check;
uses
  SysUtils;

type
  TLong = Array[0..2000] of LongInt;

var
  P, Q: LongInt;
  i: LongInt;
  S: AnsiString;
  A, B, C, D, E: TLong;

Function Max(A, B: LongInt): LongInt;
begin
  If A>B then Max:= A else Max:= B;
end;

Procedure Normalize(var A: TLong);
var
  i: LongInt;

begin
  For i:= 1 to A[0] do begin
    Inc(A[i+1], A[i] div 10000);
    A[i]:= A[i] mod 10000;
  end;
  While A[A[0]] >= 10000 do begin
    Inc(A[A[0]+1], A[A[0]] div 10000);
    A[A[0]]:= A[A[0]] mod 10000;
    Inc(A[0]);
  end;
  While (A[A[0]] = 0) and (A[0] > 0) do
    Dec(A[0]);
end;

Procedure Sum(A, B: TLong; var C: TLong);
var
  i: LongInt;

begin
  C[0]:= Max(A[0], B[0]);
  For i:= 1 to C[0] do
    C[i]:= A[i]+B[i];
  Normalize(C);
end;

Procedure Mul(A, B: TLong; var C: TLong);
var
  i,j: LongInt;

begin
  FillChar(C, SizeOf(C), 0);
  C[0]:= A[0]+B[0];
  For i:= 1 to A[0] do
    For j:= 1 to B[0] do begin
      Inc(C[i+j-1], A[i]*B[j]);
      Inc(C[i+j], C[i+j-1] div 10000);
      C[i+j-1]:= C[i+j-1] mod 10000;
    end;
  Normalize(C);
end;

Procedure SToLong(S: AnsiString; var A: TLong);
begin
  FillChar(A, SizeOf(A), 0);
  A[0]:= 0;
  While Length(S) >= 4 do begin
    Inc(A[0]);
    A[A[0]]:= StrToInt(Copy(S, Length(S)-3, 4));
    Delete(S, Length(S)-3, 4);
  end;
  If S <> '' then begin
    Inc(A[0]);
    A[A[0]]:= StrToInt(S);
  end;
end;


Function Equal(A, B: TLong): Boolean;
var
  i: LongInt;

begin
  Equal:= True;
  If A[0] <> B[0] then Equal:= False;
  For i:= 1 to A[0] do
    If A[i] <> B[i] then Equal:= False;
end;

begin
  Assign(Input, ParamStr(1));
  ReSet(Input);
  ReadLn(P);
  ReadLn(Q);
  Close(Input);
  Try
    Assign(Input, ParamStr(2));
    ReSet(Input);
    FillChar(A, SizeOf(A), 0);
    SToLong('1', B);
    While not SeekEof(Input) do begin
      ReadLn(S);
      SToLong(S, C);
      Mul(A, C, A);
      Sum(A, B, A);
      Mul(B, C, B);
    end;
    SToLong(IntToStr(P), D);
    SToLong(IntToStr(Q), E);
    Mul(A, E, A);
    Mul(B, D, B);
    Close(Input);
  Except
    WriteLn('Wrong answer...');
    Halt;
  End;
  If Equal(A, B) then WriteLn('Right answer!')
                 else WriteLn('Wrong answer...');
end.